print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceconcretebeam = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local concretebeamHudFile = "Paletten/hud_fill_concretebeam.dds"
	local concretebeamHudFileSmall = "Paletten/hud_fill_concretebeam_small.dds"
	
    local concretebeamFilType = g_fillTypeManager:addFillType("CONCRETEBEAM", g_i18n:getText("concretebeam"), true, priceconcretebeam * 1.3, 0.00045, math.rad(10), concretebeamHudFile, concretebeamHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasconcretebeam=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasconcretebeam=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CONCRETEBEAM" then
		hasconcretebeam=true
	end;
		
end;

		if hasmaize and not hasconcretebeam then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CONCRETEBEAM")
		local price = g_fillTypeManager:getFillTypeByName("CONCRETEBEAM").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CONCRETEBEAM")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)