print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceconcreteslab = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local concreteslabHudFile = "Paletten/hud_fill_concreteslab.dds"
	local concreteslabHudFileSmall = "Paletten/hud_fill_concreteslab_small.dds"
	
    local concreteslabFilType = g_fillTypeManager:addFillType("CONCRETESLAB", g_i18n:getText("concreteslab"), true, priceconcreteslab * 1.2, 0.00045, math.rad(10), concreteslabHudFile, concreteslabHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasconcreteslab=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasconcreteslab=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CONCRETESLAB" then
		hasconcreteslab=true
	end;
		
end;

		if hasmaize and not hasconcreteslab then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CONCRETESLAB")
		local price = g_fillTypeManager:getFillTypeByName("CONCRETESLAB").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CONCRETESLAB")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)